import { IReplaceWith } from '../models/whitespace.model';
declare function removeBreaks(str: string): string;
declare function removeTabs(str: string): string;
declare function removeAll(str: string): string;
declare function singleSpace(str: string): string;
declare function replaceWith(str: string, toReplace: IReplaceWith, newStr: string, single?: boolean): string;
declare const whitespace: {
    removeAll: typeof removeAll;
    removeBreaks: typeof removeBreaks;
    removeTabs: typeof removeTabs;
    replaceWith: typeof replaceWith;
    singleSpace: typeof singleSpace;
};
export { whitespace };
