declare function specificWordCount(str: string, word: string, strict?: boolean): number;
declare function wordCount(str: string): number;
declare function allWordCount(str: string, strict?: boolean): any;
declare function capitalize(str: string): string | null;
declare function replaceWord(str: string, word: string, replaceWith: string, cases?: boolean): string | null;
declare function readingTime(wCount: number, imageCount: number, valueOnly?: boolean, wordsPerMinute?: number): string | number;
declare const words: {
    allWordCount: typeof allWordCount;
    capitalize: typeof capitalize;
    replaceWord: typeof replaceWord;
    specificWordCount: typeof specificWordCount;
    wordCount: typeof wordCount;
    readingTime: typeof readingTime;
};
export { words };
