declare function containsNum(num: string | number): boolean;
declare function whole(num: string | number): boolean;
declare function decimal(num: string | number): boolean;
declare function containsDecimal(num: string | number): boolean;
declare function fraction(num: string): boolean;
declare function containsFraction(num: string): boolean;
declare function convertToHex(num: string | number): string | null;
declare function isPhoneNumber(str: string | number): boolean;
declare const numbers: {
    containsDecimal: typeof containsDecimal;
    containsFraction: typeof containsFraction;
    containsNum: typeof containsNum;
    convertToHex: typeof convertToHex;
    decimal: typeof decimal;
    fraction: typeof fraction;
    isPhoneNumber: typeof isPhoneNumber;
    whole: typeof whole;
};
export { numbers };
